# osInfo Struct Reference

`#include <sched.h>`

## Data Fields

mountPoints * | container
elfSectionheader * | sectionHeader
taskFileInfo | fileInfo
consoleStruct * | terminal
uInt16 | sectionCount
uInt16 | stringSection
uInt8 | timer
uInt8 | v86Task
bool | v86If
uInt32 | curDir
uInt32 | vmStart
uInt32 | stdinSize
uInt32 | controlKeys
char * | stdin
char * | shstrtab
char * | cwd

## Field Documentation

struct mountPoints* osInfo::container

uInt32 osInfo::controlKeys

uInt32 osInfo::curDir

char* osInfo::cwd

struct taskFileInfo osInfo::fileInfo

uInt16 osInfo::sectionCount

elfSectionheader* osInfo::sectionHeader

char* osInfo::shstrtab

char* osInfo::stdin

uInt32 osInfo::stdinSize

uInt16 osInfo::stringSection

struct consoleStruct* osInfo::terminal

uInt8 osInfo::timer

bool osInfo::v86If

uInt8 osInfo::v86Task

uInt32 osInfo::vmStart

The documentation for this struct was generated from the following file:

- sched.h